summaryrefslogtreecommitdiff
path: root/tests/lib
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib')
-rw-r--r--tests/lib5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/lib b/tests/lib
index 3e1a5be..3234054 100644
--- a/tests/lib
+++ b/tests/lib
@@ -37,6 +37,11 @@ t-worktree () {
tar xf $troot/worktrees/${p}_$1.tar
}
+t-git () {
+ mkdir -p $tmp/git
+ (set -e; cd $tmp/git; tar xf $troot/git-srcs/${p}_$v.git.tar)
+}
+
t-git-none () {
mkdir -p $tmp/git
(set -e; cd $tmp/git; tar xf $troot/git-template.tar)